/**
 * OPEN-XCHANGE legal information
 *
 * All intellectual property rights in the Software are protected by
 * international copyright laws.
 *
 *
 * In some countries OX, OX Open-Xchange, open xchange and OXtender
 * as well as the corresponding Logos OX Open-Xchange and OX are registered
 * trademarks of the Open-Xchange, Inc. group of companies.
 * The use of the Logos is not covered by the GNU General Public License.
 * Instead, you are allowed to use these Logos according to the terms and
 * conditions of the Creative Commons License, Version 2.5, Attribution,
 * Non-commercial, ShareAlike, and the interpretation of the term
 * Non-commercial applicable to the aforementioned license is published
 * on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 * Please make sure that third-party modules and libraries are used
 * according to their respective licenses.
 *
 * Any modifications to this package must retain all copyright notices
 * of the original copyright holder(s) for the original code used.
 *
 * After any such modifications, the original and derivative code shall remain
 * under the copyright of the copyright holder(s) and/or original author(s)per
 * the Attribution and Assignment Agreement that can be located at
 * http://www.open-xchange.com/EN/developer/. The contributing author shall be
 * given Attribution for the derivative code and a license granting use.
 *
 *  Copyright (C) 2004-2014 Open-Xchange, Inc.
 *  Mail: info@open-xchange.com
 *
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License, Version 2 as published
 *  by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc., 59
 *  Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package com.openxchange.office_communication.tools.logging.v2;

//=============================================================================
public class LogConst
{
	//-------------------------------------------------------------------------
	private LogConst ()
	{}

	//-------------------------------------------------------------------------
	// categories
	public static final String SPREADSHEET  = "Spreadsheet" ;
	public static final String JMS          = "JMS"         ;
	public static final String REALTIME     = "Realtime"    ;
	public static final String SERVER       = "Server"      ;
	public static final String CLIENT       = "Client"      ;
	public static final String WORKER       = "Worker"      ;
	public static final String ROUTING      = "Routing"     ;
	public static final String CACHE        = "Cache"       ;
	public static final String ERRORHANDLER = "ErrorHandler";
	public static final String PROXY        = "Proxy"       ;
	public static final String LOG          = "Log"         ;

	//-------------------------------------------------------------------------
	// states
	public static final String START         = "Start"        ;
	public static final String WAIT          = "Wait"         ;
	public static final String STOP          = "Stop"         ;
	public static final String END           = "End"          ;
	public static final String FAILED        = "Failed"       ;
	public static final String SHUTDOWN      = "Shutdown"     ;
	public static final String SHUTDOWN_HOOK = "Shutdown-Hook";
	public static final String CONFIGURE     = "Configure"    ;
	
	//-------------------------------------------------------------------------
	// vars
	public static final String THIS        = "This"       ;
	public static final String ID          = "Id"         ;
	public static final String FILE_ID     = "File-Id"    ;
	public static final String DOC_HANDLE  = "Doc-Handle" ;
	public static final String METHOD      = "Method"     ;
	public static final String ROUTE       = "Route"      ;
	public static final String CONTENT     = "Content"    ;
	public static final String ADDRESS     = "Address"    ;
	public static final String ERROR_CODE  = "Error-Code" ;
	public static final String REGISTRY    = "Registry"   ;
}
